Bug 65308 - Buffer overflow in FvwmScript Swallow widget
Buffer overflow in FvwmScript Swallow widget
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: fvwm2 (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-21 15:30 EDT by Karl Hakimian
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is a patch for the Swallow widget that will fix the problem. (536 bytes, patch)
2002-05-21 15:31 EDT, Karl Hakimian
no flags Details | Diff

  None (edit)
Description Karl Hakimian 2002-05-21 15:30:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
A static size is allocated to copy a window title into. A window with a larger
size will case an overflow. Since most web browsers put the title of the web
page in the window, a web site can cause an overflow in an FvwmScript that uses
the Swallow module. This can at least cause a denial of service problem. It may
allow a more serious compromise

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Use the FvwmScript Swallow widget.
2.open a window with more than 100 characters in the title.
3.watch the crash
	

Actual Results:  FvwmScript dumps core

Expected Results:  Depends on the script, but probably nothing noticeable to the
user.

Additional info:
Comment 1 Karl Hakimian 2002-05-21 15:31:52 EDT
Created attachment 58125 [details]
This is a patch for the Swallow widget that will fix the problem.
Comment 2 Ngo Than 2002-06-02 13:16:28 EDT
thanks for your patch file. I will make errata in next days
Comment 3 Mikhael Goikhman 2002-07-04 18:44:16 EDT
This patch is applied to both stable (fvwm-2.4.9-cvs) and unstable (fvwm-2.5.3-cvs) branches.

Regards,
Mikhael.
Comment 4 Bill Nottingham 2006-08-07 13:39:35 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 5 Bill Nottingham 2006-10-18 10:39:56 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.